[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFPList.Destroy

Destroys the list and releases the memory used to store the list elements.

## Declaration

Source position: classesh.inc line 240

`public destructor TFPList.Destroy; override;`

## Description

Destroy destroys the list and releases the memory used to store the list elements. The elements themselves are in no way touched, i.e. any memory they point to must be explicitly released before calling the destructor.